import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { routes } from './app.routes';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { ClarityModule } from '@clr/angular';
import { DetailModule } from './detail/detail.module';
import {CommonModule} from '@angular/common';
import {CommonService} from './common/common.service';
import {CommonServiceModule} from './common/common.service.module';
import {NgbModule} from '@ng-bootstrap/ng-bootstrap';
import {DemoModule} from './demo/demo.module';
import { OrgInterface } from './common/interface/org.interface';
import { PostInterface } from './common/interface/post.interface';
import { PluginModule } from '../..';
//import {TreeModule} from 'angular-tree-component';
@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    PluginModule,
    //TreeModule,
    /*DemoModule,*/
    DetailModule,
    FormsModule,
    CommonModule,
    CommonServiceModule,
    ClarityModule,
    NgbModule.forRoot(),
    BrowserAnimationsModule,
    RouterModule.forRoot(routes, { useHash: true }),
  ],
  providers: [
    CommonService,
    OrgInterface,
    PostInterface,
  ],
  bootstrap: [AppComponent],
  entryComponents: [
  ]
})
export class AppModule { }
