import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {NgbModule} from '@ng-bootstrap/ng-bootstrap';
import {FormsModule} from '@angular/forms';
import {DemoComponent} from './demo.component';
import {DemoModalComponent} from './resource/demo.modal.component';
import {CommonServiceModule} from '../common/common.service.module';
import {TreeModule} from 'angular-tree-component';
import {TestManagementComponent} from './test/test.management.component';

@NgModule({
  imports: [
    FormsModule,
    NgbModule,
    TreeModule,
    CommonServiceModule,
    RouterModule.forChild([
      {
        path: 'demo',
        component: DemoComponent
      },
      {
        path: '',
        redirectTo: '/demo', pathMatch: 'full'
      },
    ])
  ],
  providers: [],
  declarations: [
    DemoComponent,
    DemoModalComponent,
    TestManagementComponent
  ],
  entryComponents: [
    DemoModalComponent
  ],
  exports: [
    DemoComponent
  ],
})
export class DemoModule {
}
