import {
  Component, Input, OnInit, ViewChild
} from '@angular/core';
import {NgbActiveModal} from '@ng-bootstrap/ng-bootstrap';

@Component({
  moduleId: module.id,
  templateUrl: './post.add.component.html',
  styleUrls: ['./post.add.component.css']
})
export class PostAddComponent implements OnInit {
  @Input() postData; // 岗位信息
  selectStatus;

  postStatus = [
    {
      id: 1,
      name: 'In use'
    },
    {
      id: 0,
      name: 'Un use'
    }
  ];

  constructor(private activeModal: NgbActiveModal) {

  }

  ngOnInit() {
    if (this.postData) {
      this.selectStatus = {
        id: 0,
        name: 'Un use'
      };
    }
    this.selectStatus = {
      id: 1,
      name: 'In use'
    };
  }

  saveData() {
    this.activeModal.close(this.postData);
  }

  cancelData() {
    this.activeModal.dismiss('cancel');
  }
}
