import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {AnnouncementComponent} from './announcement.component';
import {NewsComponent} from '../../detail/announcement/news/news.component';
import {PlatformComponent} from '../../detail/announcement/platform/platform.component';
import {QuestionnaireComponent} from '../../detail/announcement/questionnaire/questionnaire.component';
import {CommonServiceModule} from '../../common/common.service.module';
import {CommonModule} from '@angular/common';
import {HttpModule} from '@angular/http';
import {TestComponent} from './test';
import {OrgInterface} from '../../common/interface/org.interface';

@NgModule({
  imports: [
    CommonModule,
    CommonServiceModule,
    HttpModule,
    RouterModule.forChild([
      {
        path: '',
        component: AnnouncementComponent,
        children: [
          {
            path: 'news',
            component: NewsComponent
          },
          {
            path: 'platform',
            component: PlatformComponent
          },
          {
            path: 'questionnaire',
            component: QuestionnaireComponent
          },
          {
            path: '',
            redirectTo: 'news'
          }
        ]
      },
    ])
  ],
  providers: [
  ],
  declarations: [
    AnnouncementComponent,
    NewsComponent,
    PlatformComponent,
    QuestionnaireComponent,
    TestComponent,
  ],
  entryComponents: [
    TestComponent,
  ],
  exports: [
    AnnouncementComponent
  ],
})
export class AnnouncementModule {
}
