import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonServiceModule} from '../../common/common.service.module';
import {CommonModule} from '@angular/common';
import {SystemManagementComponent} from './system.management.component';
import {OrganizationManagementComponent} from '../../detail/system-management/organization/organization.management.component';
import {OrganizationDetailComponent} from '../../detail/system-management/organization/organization-detail/organization.detail.component';
import {FormsModule} from '@angular/forms';
import {UserManagementComponent} from '../../detail/system-management/user/user.management.component';
import {RoleManagementComponent} from '../../detail/system-management/role/role.management.component';
import {PostManagementComponent} from '../../detail/system-management/post/post.management.component';
import {PostDetailComponent} from '../../detail/system-management/post/post-detail/post.detail.component';
import {PostEditComponent} from '../../detail/system-management/post/post-edit/post.edit.component';
import {PostAddComponent} from '../../detail/system-management/post/post-add/post.add.component';
import {PostInfoUserComponent} from '../../detail/system-management/post/post-edit/post-info-user/post.info.user.component';
import {PostInfoBasicComponent} from '../../detail/system-management/post/post-edit/post-info-basic/post.info.basic.component';
import { PluginModule } from '../../../..';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    PluginModule,
    CommonServiceModule,
    RouterModule.forChild([
      {
        path: '',
        component: SystemManagementComponent,
        children: [
          {
            path: 'organization',
            component: OrganizationManagementComponent
          }, {
            path: 'user',
            component: UserManagementComponent
          }, {
            path: 'role',
            component: RoleManagementComponent
          }, {
            path: 'post',
            component: PostManagementComponent
          }, {
            path: '',
            redirectTo: 'organization'
          }
        ]
      },
    ])
  ],
  providers: [],
  declarations: [
    SystemManagementComponent,
    OrganizationManagementComponent,
    OrganizationDetailComponent,
    UserManagementComponent,
    RoleManagementComponent,
    PostManagementComponent,
    PostDetailComponent,
    PostEditComponent,
    PostAddComponent,
    PostInfoUserComponent,
    PostInfoBasicComponent,
  ],
  exports: [
    SystemManagementComponent,
  ],
  entryComponents: [
    PostEditComponent,
    PostAddComponent,
    PostInfoUserComponent,
    PostInfoBasicComponent,
  ]
})
export class SystemManagementModule {
}
