import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LeftMenuComponent } from './leftmenu/leftmenu.component';
import { DrawService } from './draw/draw.service';
import { DrawComponent } from './draw/draw.component';
import { PaginationComponent } from './pagination/pagination.component';
import { HeaderComponent } from './header/header.component';
import {LeftSideComponent} from './left-side/left.side.component';
import {HttpService} from './http/http.service';
import {HttpModule} from '@angular/http';
import { TabComponent } from './tab/tab.component';
import { AutoCompleteComponent } from './auto-component/auto.component.component';
import { PinyinService } from './pinyin.service';
import {SelectComponent} from './select/select.component';
import {NgbModule} from '@ng-bootstrap/ng-bootstrap';
import {ButtonComponent} from './button/button.component';
import { TreeComponent } from './tree/tree.component';
import { NodeComponent } from './tree/node.component';
import {DatePickerComponent} from './date-picker/date.picker.component';
import {TableComponent} from './table/table.component';
import {TableColumnComponent} from './table/column.component';
import {ModalTipComponent} from './modal-tip/modal.tip.component';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import {Component, NgZone} from '@angular/core';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    BrowserAnimationsModule,
    BrowserModule,
    RouterModule,
    NgbModule,
    HttpModule
  ],
  declarations: [
    LeftMenuComponent,
    DrawComponent,
    PaginationComponent,
    HeaderComponent,
    LeftSideComponent,
    TabComponent,
    AutoCompleteComponent,
    TabComponent,
    SelectComponent,
    ButtonComponent,
    TreeComponent,
    DatePickerComponent,
    NodeComponent,
    TableComponent,
    TableColumnComponent,
    ModalTipComponent,
  ],
  exports: [
    LeftMenuComponent,
    PaginationComponent,
    HeaderComponent,
    LeftSideComponent,
    TabComponent,
    AutoCompleteComponent,
    TabComponent,
    SelectComponent,
    ButtonComponent,
    TreeComponent,
    DatePickerComponent,
    NodeComponent,
    TableComponent,
    TableColumnComponent,
    ModalTipComponent,
  ],
  providers: [
    DrawService,
    HttpService,
    PinyinService,
  ],
  entryComponents: [
    DrawComponent,
    ModalTipComponent,
  ],
})
export class PluginModule { }
